Bug 167412 - [RFC] [RHEL4 U2 patch] dual-core detection gap for i386 build
[RFC] [RHEL4 U2 patch] dual-core detection gap for i386 build
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
Depends On:
Blocks: 156323
  Show dependency treegraph
Reported: 2005-09-02 10:11 EDT by Linda Wang
Modified: 2013-08-05 21:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-05 09:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2005-09-02 10:11:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
The patch Intel submitted for dual-core detection wasn't included quite as it was submitted. As a result, on i386 the conditions for when certain multi-thread/multi-core fields appear in /proc/cpuinfo are different than on x86_64.

One of these differences Intel feels is a critical regression from U1. That is, on a system without HT, the "physical id" and "siblings" fields will not be displayed. These are already being used for licensing and cpu affinity purposes in the field (e.g. BZ 147674), so Intel does not want to see a regression on this. 

The second hunk of the patch addresses another inconsistency between the i386 and x86_64 paths in your tree which is not present upstream, but is not absolutely required if that will change your mind. (The bug makes the sibling count incorrect when HT is disabled.) 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install RHEL4U2
2.boot the system up
3.cat /proc/cpuinfo

Actual Results:  multi-thread/multi-core fields appear in /proc/cpuinfo are different than on x86_64

Expected Results:  multi-thread/multi-core fields appear in /proc/cpuinfo should be the same on x86_64

Additional info:
Comment 10 Red Hat Bugzilla 2005-10-05 09:55:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.